Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware
Class FeatureGroup

    java.lang.Object
      portlets.compoze.groupware.FeatureGroup

All Implemented Interfaces:
  java.io.Serializable

public class FeatureGroup
extends java.lang.Object
implements java.io.Serializable

This class represents the feature group. It contains the features and their associated status.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `FeatureGroup.Feature` This class represents a Compoze portlet feature.
`static class` | `FeatureGroup.Status` This class represents a feature status.

Constructor Summary
`FeatureGroup(com.bea.portlet.prefs.PortletPreferences portletPrefs)` Constructor.

Method Summary
`boolean` | `checkStatus(FeatureGroup.Feature feature, FeatureGroup.Status status)` Checks if the feature status matches the specified status.
`void` | `dumpFeatures()` Dumps the features and associated status to `System.out`.
`FeatureGroup.Feature` | `getActiveFeature()` Gets the feature with the specified feature status `Status.ACTIVE`.
`FeatureGroup.Feature[]` | `getFeatures(FeatureGroup.Status status)` Gets the features matching the specified feature status.
`FeatureGroup.Status` | `getStatus(FeatureGroup.Feature feature)` Gets the feature status for the specified feature.
`boolean` | `getTitle(FeatureGroup.Feature feature)` Gets the feature title flag for the specified feature.
`boolean` | `isHomeNavigationBottom()` Checks if the title home bottom navigation should be used.
`boolean` | `isHomeNavigationTop()` Checks if the title home top navigation should be used.
`boolean` | `isHomeToHomeFeatureNavigation()` Checks if the home to home feature navigation should be used.
`boolean` | `isLeftArea()` Checks if the left area is activated.
`boolean` | `isShowErrorStackTraceOnErrorPage()` Checks if exception stack trace should be shown on the error pages.
`boolean` | `isTitleFeatureNavigation()` Checks if the title feature navigation should be used.
`void` | `setActiveFeature(FeatureGroup.Feature feature)` Sets the feature status as `Status.ACTIVE` for the specified feature.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FeatureGroup

    public FeatureGroup(com.bea.portlet.prefs.PortletPreferences portletPrefs)

  Constructor.

Parameters:
  `portletPrefs` - the portlet preferences (may not be `null`)

Method Detail

### isTitleFeatureNavigation

    public boolean isTitleFeatureNavigation()

  Checks if the title feature navigation should be used.

  Returns:
    `true` to use the feature navigation; `false` otherwise

### isHomeToHomeFeatureNavigation

    public boolean isHomeToHomeFeatureNavigation()

  Checks if the home to home feature navigation should be used.

  Returns:
    `true` to use the home to home feature navigation; `false` otherwise

### isHomeNavigationTop

    public boolean isHomeNavigationTop()

  Checks if the title home top navigation should be used.

  Returns:
    `true` to use the home top navigation; `false` otherwise

### isHomeNavigationBottom

    public boolean isHomeNavigationBottom()

  Checks if the title home bottom navigation should be used.

  Returns:
    `true` to use the home bottom navigation; `false` otherwise

### isLeftArea

    public boolean isLeftArea()

  Checks if the left area is activated.

  Returns:
    `true` to use the feature navigation; `false` otherwise

### isShowErrorStackTraceOnErrorPage

    public boolean isShowErrorStackTraceOnErrorPage()

  Checks if exception stack trace should be shown on the error pages.

  Returns:
    `true` to show the section where the exception stacktrace could be viewed; `false` otherwise

### setActiveFeature

    public void setActiveFeature(FeatureGroup.Feature feature)

  Sets the feature status as `Status.ACTIVE` for the specified feature.

  Parameters:
    `feature` - the feature to set (may not be `null`)

### getActiveFeature

    public FeatureGroup.Feature getActiveFeature()

  Gets the feature with the specified feature status `Status.ACTIVE`.

  Returns:
    the active feature or `null` if no active feature set

### getStatus

    public FeatureGroup.Status getStatus(FeatureGroup.Feature feature)

  Gets the feature status for the specified feature.

  Parameters:
    `feature` - the feature
  Returns:
    the feature status

### getTitle

    public boolean getTitle(FeatureGroup.Feature feature)

  Gets the feature title flag for the specified feature.

  Parameters:
    `feature` - the feature
  Returns:
    `true` to display the feature title; `false` otherwise

### getFeatures

    public FeatureGroup.Feature[] getFeatures(FeatureGroup.Status status)

  Gets the features matching the specified feature status.

  Parameters:
    `status` - the status to match
  Returns:
    an array of feature with matching status or an empty array for none

### checkStatus

    public boolean checkStatus(FeatureGroup.Feature feature,
                               FeatureGroup.Status status)

  Checks if the feature status matches the specified status.

  Parameters:
    `feature` - the feature to check (may not be `null`)
    `status` - the status to check for (may not be `null`)
  Returns:
    `true` if the status matches; `false` otherwise

### dumpFeatures

    public void dumpFeatures()

  Dumps the features and associated status to `System.out`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.